org.springframework.data.auditing

## Interface DateTimeProvider

All Known Implementing Classes:
  CurrentDateTimeProvider

    public interface DateTimeProvider

SPI to calculate the current time to be used when auditing.

Since:
  1.5
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Optional<TemporalAccessor>` `getNow()` Returns the current time to be used as modification or creation date.

### Method Detail

#### getNow

    Optional<TemporalAccessor> getNow()

Returns the current time to be used as modification or creation date.

Returns: